#pragma once

#include "common.h"

int ahci_read(int port, u64 lba, u32 count, void *buf);
int ahci_write(int port, u64 lba, u32 count, void *buf);
u64 ahci_sector_count(int port);
int ahci_port_active(int port);
void ahci_init();
